Skip to main content
GET
/
postures
/
{posture_id}
/
effects
Analytics rollup for a posture
curl --request GET \
  --url https://api.mnemom.ai/v1/postures/{posture_id}/effects \
  --header 'Authorization: Bearer <token>'
{
  "posture_id": "<string>",
  "window_hours": 2,
  "teams_using": 1,
  "agents_affected": 1,
  "events_emitted": {}
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

posture_id
string
required

Posture ID (tp-{8-hex}).

Pattern: ^tp-[a-z0-9-]{1,64}$

Query Parameters

hours
integer
default:24
Required range: 1 <= x <= 720

Response

Effects rollup.

Analytics rollup: cells affected by this posture revision over a window.

posture_id
string
required
window_hours
integer
required
Required range: x >= 1
teams_using
integer
required
Required range: x >= 0
agents_affected
integer
required
Required range: x >= 0
events_emitted
object

Per-event-type counts.